
from bzrlib import urlutils
from bzrlib.commands import Command
from bzrlib.plugins.bzr_acl_serve.acl import ACL
from bzrlib.plugins.bzr_acl_serve.acl_serve import serve


class cmd_acl_serve(Command):

    takes_args = ['config', 'user']
    takes_options = []

    def run(self, config=None, user=None):
        from bzrlib.transport import get_transport
        acl = ACL(config, user)
        url = urlutils.local_path_to_url(acl.root_path())
        transport = get_transport(url)
        serve(acl, transport, host=None, port=None, inet=True)
